/******************************************************************/
/* ACM ICPC 2012-2013                                             */
/* Northeastern European Regional Contest                         */
/* St Petersburg - Barnaul - Tashkent - Tbilisi, December 2, 2012 */
/******************************************************************/
/* Problem H. Hyperdrome                                          */
/*                                                                */
/* Original idea         Vitaliy Aksenov                          */
/* Problem statement     Vitaliy Aksenov                          */
/* Test set              Vitaliy Aksenov                          */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Georgiy Korneev                          */
/******************************************************************/

import java.io.*;
import java.util.Arrays;
import java.util.StringTokenizer;

public class hyperdrome_gk {
    static Scanner in;
    static PrintWriter out;

    void run() {
        int n = in.nextInt();

		char[] z = in.next().toCharArray();
        long[] values = new long[n + 1];
        long bits = 0;
        for (int i = 0; i < n; i++) {
            if (z[i] <= 'Z') {
              bits ^= 1L << (z[i] - 'A' + 26);
            } else {
              bits ^= 1L << (z[i] - 'a');
            }
            values[i + 1] = bits;
        }

        long result = 0;
        Arrays.sort(values);
        long prev = -1;
        long c = 0;
        for (long value : values) {
            if (value != prev) {
                result += c * (c - 1) / 2;
                c = 1;
                prev = value;
            } else {
                c++;
            }
        }
        result += c * (c - 1) / 2;

        for (int i = 0; i < 60; i++) {
            long bit = 1L << i;
            long prev0 = -1;
            long prev1 = 0;
            int i0 = 0;
            int i1 = 0;
            int c0 = 1;
            int c1 = 0;
            while (true) {
                if ((prev0 | bit) < prev1) {
                    while (i0 < values.length && (values[i0] & bit) != 0) {
                        i0++;
                    }
                    if (i0 == values.length) {
                        break;
                    }
                    prev0 = values[i0];
                    c0 = 0;
                    while (i0 < values.length && values[i0] == prev0) {
                        i0++;
                        c0++;
                    }
                } else {
                    while (i1 < values.length && (values[i1] & bit) == 0) {
                        i1++;
                    }
                    if (i1 == values.length) {
                        break;
                    }
                    prev1 = values[i1];
                    c1 = 0;
                    while (i1 < values.length && values[i1] == prev1) {
                        i1++;
                        c1++;
                    }
                }
                if (prev0 != prev1 && (prev0 | bit) == prev1) {
                    result += c0 * (long) c1;
                }
            }
        }
        out.println(result);
    }

    static class Scanner {
        final BufferedReader reader;
        StringTokenizer tokenizer = new StringTokenizer("");

        public Scanner(File file) throws FileNotFoundException {
            reader = new BufferedReader(new FileReader(file));
        }

        public int nextInt() {
            return Integer.parseInt(next());
        }

        public String next() {
            while (!tokenizer.hasMoreTokens()) {
                try {
                    tokenizer = new StringTokenizer(reader.readLine());
                } catch (IOException e) {
                    throw new AssertionError();
                }
            }
            return tokenizer.nextToken();
        }

        public void close() {
        }
    }

    public static void main(String[] args) throws Exception {
        in = new Scanner(new File("hyperdrome.in"));
        out = new PrintWriter("hyperdrome.out");

        new hyperdrome_gk().run();

        in.close();
        out.close();
    }
}

